#pragma once
#include <d3d9.h>
#include <gdiplus.h>

struct BitmapFileHeader
{
	unsigned int fileSize;
	unsigned short reserved1, reserved2;
	unsigned int offsetToPixelData;
};

struct BitmapInfoHeader
{
	unsigned int headerSize;
	int width,height;
	unsigned short planes;
	unsigned short bits;
	unsigned int compression;
	unsigned int imageSize;
	int xResolution,yResolution;
	unsigned int nColors;
	unsigned int importantColours;
};

struct Pixel24
{
	unsigned char blue;
	unsigned char green;
	unsigned char red;
};

struct Pixel32 : Pixel24
{
	unsigned char alpha;
};

void LoadBmp( const char* filename,D3DCOLOR* surface );
