#pragma once
#include <Windows.h>
#include <dinput.h>
#include <assert.h>
#pragma comment( lib, "dinput8.lib" )

class Joystick
{
public:
	Joystick();
	~Joystick();
	float GetJoyX();
	float GetJoyY();
	float GetJoyZ();
	float GetJoyR();
	unsigned int GetJoyButton();
	bool CheckJoystick();
	
private:
	int centerX, centerY, centerZ, centerR;
	JOYCAPS JoyCaps;
	JOYINFOEX JoyInfo;
};

class DIJoystick
{
public:
	DIJoystick(){};
	DIJoystick( HWND );
	~DIJoystick();
	float GetJoyX();
	float GetJoyY();
	float GetJoyZ();
	float GetJoyR();
	BYTE* GetJoyButton();
	bool CheckJoystick();
	void Poll();
	
private:
	int centerX, centerY, centerZ, centerR;
	IDirectInput* lpDInput;
		LPDIRECTINPUTDEVICE pPad;
	DIDEVCAPS diCaps;
	DIJOYSTATE diJState;
	DIPROPDWORD dipdw;
	DIDEVICEOBJECTDATA* didod;

};
